nlohmann::detail::detector< Default, void_t< Op< Args... > >, Op, Args... > Struct Template Reference

`#include <json.hpp>`

## Public Types

using | value_t = std::true_type
using | type = Op< Args... >
using | value_t = std::true_type
using | type = Op< Args... >

## Member Typedef Documentation

## type [1/2]

template<class Default , template< class... > class Op, class... Args>

using nlohmann::detail::detector< Default, void_t< Op< Args... > >, Op, Args... >::type = Op<Args...>

## type [2/2]

template<class Default , template< class... > class Op, class... Args>

using nlohmann::detail::detector< Default, void_t< Op< Args... > >, Op, Args... >::type = Op<Args...>

## value_t [1/2]

template<class Default , template< class... > class Op, class... Args>

using nlohmann::detail::detector< Default, void_t< Op< Args... > >, Op, Args... >::value_t = std::true_type

## value_t [2/2]

template<class Default , template< class... > class Op, class... Args>

using nlohmann::detail::detector< Default, void_t< Op< Args... > >, Op, Args... >::value_t = std::true_type

The documentation for this struct was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp